package com.da.dangan.service;

import com.da.common.core.domain.AjaxResult;
import com.da.dangan.domain.DaBookshelf;

import java.util.List;

/**
 * 物理书架Service接口
 * 
 * @author hs
 * @date 2024-05-11
 */
public interface IDaBookshelfService 
{
    /**
     * 查询物理书架
     * 
     * @param shelfId 物理书架主键
     * @return 物理书架
     */
    public DaBookshelf selectDaBookshelfByShelfId(Long shelfId);

    /**
     * 查询物理书架列表
     * 
     * @param daBookshelf 物理书架
     * @return 物理书架集合
     */
    public List<DaBookshelf> selectDaBookshelfList(DaBookshelf daBookshelf);

    /**
     * 新增物理书架
     * 
     * @param daBookshelf 物理书架
     * @return 结果
     */
    public int insertDaBookshelf(DaBookshelf daBookshelf);

    /**
     * 修改物理书架
     * 
     * @param daBookshelf 物理书架
     * @return 结果
     */
    public int updateDaBookshelf(DaBookshelf daBookshelf);

    /**
     * 批量删除物理书架
     * 
     * @param shelfIds 需要删除的物理书架主键集合
     * @return 结果
     */
    public int deleteDaBookshelfByShelfIds(Long[] shelfIds);

    /**
     * 删除物理书架信息
     * 
     * @param shelfId 物理书架主键
     * @return 结果
     */
    public AjaxResult deleteDaBookshelfByShelfId(Long shelfId);
}
